
_fix_fft:
	PUSH       R28
	PUSH       R29
	IN         R28, SPL+0
	IN         R29, SPL+1
	SBIW       R28, 34
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	ADIW       R28, 1

;MyProject.c,22 :: 		int fix_fft(fixed fr[], fixed fi[], int m, int inverse)
;MyProject.c,27 :: 		n = 1<<m;
	MOV        R27, R6
	LDI        R18, 1
	LDI        R19, 0
	TST        R27
	BREQ       L__fix_fft39
L__fix_fft38:
	LSL        R18
	ROL        R19
	DEC        R27
	BRNE       L__fix_fft38
L__fix_fft39:
	STD        Y+10, R18
	STD        Y+11, R19
;MyProject.c,29 :: 		if(n > N_WAVE)
	LDI        R16, 0
	LDI        R17, 4
	CP         R16, R18
	CPC        R17, R19
	BRLT       L__fix_fft40
	JMP        L_fix_fft0
L__fix_fft40:
;MyProject.c,30 :: 		return -1;
	LDI        R16, 255
	LDI        R17, 255
	JMP        L_end_fix_fft
L_fix_fft0:
;MyProject.c,32 :: 		mr = 0;
; mr start address is: 12 (R12)
	CLR        R12
	CLR        R13
;MyProject.c,33 :: 		nn = n - 1;
	LDD        R16, Y+10
	LDD        R17, Y+11
	SUBI       R16, 1
	SBCI       R17, 0
	STD        Y+0, R16
	STD        Y+1, R17
;MyProject.c,34 :: 		scale = 0;
	LDI        R27, 0
	STD        Y+12, R27
	STD        Y+13, R27
;MyProject.c,37 :: 		for(m=1; m<=nn; ++m) {
	LDI        R27, 1
	MOV        R6, R27
	LDI        R27, 0
	MOV        R7, R27
; mr end address is: 12 (R12)
	MOVW       R18, R12
L_fix_fft1:
; mr start address is: 18 (R18)
	LDD        R16, Y+0
	LDD        R17, Y+1
	CP         R16, R6
	CPC        R17, R7
	BRGE       L__fix_fft41
	JMP        L_fix_fft2
L__fix_fft41:
;MyProject.c,38 :: 		l = n;
; l start address is: 14 (R14)
; l start address is: 14 (R14)
	LDD        R14, Y+10
	LDD        R15, Y+11
; mr end address is: 18 (R18)
; l end address is: 14 (R14)
	MOVW       R20, R18
	MOVW       R22, R14
;MyProject.c,39 :: 		do {
	JMP        L_fix_fft4
L__fix_fft35:
;MyProject.c,41 :: 		} while(mr+l > nn);
	MOVW       R22, R14
;MyProject.c,39 :: 		do {
L_fix_fft4:
;MyProject.c,40 :: 		l >>= 1;
; l start address is: 22 (R22)
; mr start address is: 20 (R20)
	MOVW       R16, R22
	ASR        R17
	ROR        R16
; l end address is: 22 (R22)
; l start address is: 14 (R14)
	MOVW       R14, R16
; l end address is: 14 (R14)
;MyProject.c,41 :: 		} while(mr+l > nn);
	MOVW       R18, R16
	ADD        R18, R20
	ADC        R19, R21
	LDD        R16, Y+0
	LDD        R17, Y+1
	CP         R16, R18
	CPC        R17, R19
	BRGE       L__fix_fft42
	JMP        L__fix_fft35
L__fix_fft42:
; l end address is: 14 (R14)
;MyProject.c,42 :: 		mr = (mr & (l-1)) + l;
; l start address is: 14 (R14)
	MOVW       R16, R14
	SUBI       R16, 1
	SBCI       R17, 0
	AND        R16, R20
	AND        R17, R21
; mr end address is: 20 (R20)
	ADD        R16, R14
	ADC        R17, R15
; l end address is: 14 (R14)
; mr start address is: 12 (R12)
	MOVW       R12, R16
;MyProject.c,44 :: 		if(mr <= m) continue;
	CP         R6, R16
	CPC        R7, R17
	BRGE       L__fix_fft43
	JMP        L_fix_fft7
L__fix_fft43:
	JMP        L_fix_fft3
L_fix_fft7:
;MyProject.c,45 :: 		tr = fr[m];
	MOVW       R16, R6
	LSL        R16
	ROL        R17
	MOVW       R18, R16
	ADD        R18, R2
	ADC        R19, R3
	MOVW       R30, R18
	LD         R16, Z+
	LD         R17, Z+
	STD        Y+18, R16
	STD        Y+19, R17
;MyProject.c,46 :: 		fr[m] = fr[mr];
	MOVW       R16, R12
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z+
	LD         R17, Z+
	MOVW       R30, R18
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,47 :: 		fr[mr] = tr;
	MOVW       R16, R12
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LDD        R16, Y+18
	LDD        R17, Y+19
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,48 :: 		ti = fi[m];
	MOVW       R16, R6
	LSL        R16
	ROL        R17
	MOVW       R18, R16
	ADD        R18, R4
	ADC        R19, R5
	MOVW       R30, R18
	LD         R16, Z+
	LD         R17, Z+
	STD        Y+20, R16
	STD        Y+21, R17
;MyProject.c,49 :: 		fi[m] = fi[mr];
	MOVW       R16, R12
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z+
	LD         R17, Z+
	MOVW       R30, R18
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,50 :: 		fi[mr] = ti;
	MOVW       R16, R12
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LDD        R16, Y+20
	LDD        R17, Y+21
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,51 :: 		}
L_fix_fft3:
;MyProject.c,37 :: 		for(m=1; m<=nn; ++m) {
	MOVW       R16, R6
	SUBI       R16, 255
	SBCI       R17, 255
	MOVW       R6, R16
;MyProject.c,51 :: 		}
	MOVW       R18, R12
; mr end address is: 12 (R12)
	JMP        L_fix_fft1
L_fix_fft2:
;MyProject.c,53 :: 		l = 1;
; l start address is: 16 (R16)
	LDI        R16, 1
	LDI        R17, 0
;MyProject.c,54 :: 		k = LOG2_N_WAVE-1;
	LDI        R27, 9
	STD        Y+6, R27
	LDI        R27, 0
	STD        Y+7, R27
; l end address is: 16 (R16)
	MOVW       R18, R16
;MyProject.c,55 :: 		while(l < n) {
L_fix_fft8:
; l start address is: 18 (R18)
	LDD        R16, Y+10
	LDD        R17, Y+11
	CP         R18, R16
	CPC        R19, R17
	BRLT       L__fix_fft44
	JMP        L_fix_fft9
L__fix_fft44:
;MyProject.c,56 :: 		if(inverse) {
	MOV        R27, R8
	OR         R27, R9
	BRNE       L__fix_fft45
	JMP        L_fix_fft10
L__fix_fft45:
;MyProject.c,58 :: 		shift = 0;
	LDI        R27, 0
	STD        Y+14, R27
	STD        Y+15, R27
;MyProject.c,59 :: 		for(i=0; i<n; ++i) {
	LDI        R27, 0
	STD        Y+2, R27
	STD        Y+3, R27
; l end address is: 18 (R18)
	MOVW       R24, R18
L_fix_fft11:
; l start address is: 24 (R24)
	LDD        R18, Y+2
	LDD        R19, Y+3
	LDD        R16, Y+10
	LDD        R17, Y+11
	CP         R18, R16
	CPC        R19, R17
	BRLT       L__fix_fft46
	JMP        L_fix_fft12
L__fix_fft46:
;MyProject.c,60 :: 		j = fr[i];
	LDD        R16, Y+2
	LDD        R17, Y+3
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LD         R18, Z+
	LD         R19, Z+
	STD        Y+4, R18
	STD        Y+5, R19
;MyProject.c,61 :: 		if(j < 0)
	LDI        R16, 0
	LDI        R17, 0
	CP         R18, R16
	CPC        R19, R17
	BRLT       L__fix_fft47
	JMP        L_fix_fft14
L__fix_fft47:
;MyProject.c,62 :: 		j = -j;
	LDD        R0, Y+4
	LDD        R1, Y+5
	LDI        R16, 0
	LDI        R17, 0
	SUB        R16, R0
	SBC        R17, R1
	STD        Y+4, R16
	STD        Y+5, R17
L_fix_fft14:
;MyProject.c,63 :: 		m = fi[i];
	LDD        R16, Y+2
	LDD        R17, Y+3
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LD         R18, Z+
	LD         R19, Z+
	MOVW       R6, R18
;MyProject.c,64 :: 		if(m < 0)
	LDI        R16, 0
	LDI        R17, 0
	CP         R18, R16
	CPC        R19, R17
	BRLT       L__fix_fft48
	JMP        L_fix_fft15
L__fix_fft48:
;MyProject.c,65 :: 		m = -m;
	LDI        R16, 0
	LDI        R17, 0
	SUB        R16, R6
	SBC        R17, R7
	MOVW       R6, R16
L_fix_fft15:
;MyProject.c,66 :: 		if(j > 16383 || m > 16383) {
	LDD        R18, Y+4
	LDD        R19, Y+5
	LDI        R16, 255
	LDI        R17, 63
	CP         R16, R18
	CPC        R17, R19
	BRGE       L__fix_fft49
	JMP        L__fix_fft34
L__fix_fft49:
	LDI        R16, 255
	LDI        R17, 63
	CP         R16, R6
	CPC        R17, R7
	BRGE       L__fix_fft50
	JMP        L__fix_fft33
L__fix_fft50:
	JMP        L_fix_fft18
L__fix_fft34:
L__fix_fft33:
;MyProject.c,67 :: 		shift = 1;
	LDI        R27, 1
	STD        Y+14, R27
	LDI        R27, 0
	STD        Y+15, R27
;MyProject.c,68 :: 		break;
	JMP        L_fix_fft12
;MyProject.c,69 :: 		}
L_fix_fft18:
;MyProject.c,59 :: 		for(i=0; i<n; ++i) {
	LDD        R16, Y+2
	LDD        R17, Y+3
	SUBI       R16, 255
	SBCI       R17, 255
	STD        Y+2, R16
	STD        Y+3, R17
;MyProject.c,70 :: 		}
	JMP        L_fix_fft11
L_fix_fft12:
;MyProject.c,71 :: 		if(shift)
	LDD        R16, Y+14
	LDD        R17, Y+15
	MOV        R27, R16
	OR         R27, R17
	BRNE       L__fix_fft51
	JMP        L_fix_fft19
L__fix_fft51:
;MyProject.c,72 :: 		++scale;
	LDD        R16, Y+12
	LDD        R17, Y+13
	SUBI       R16, 255
	SBCI       R17, 255
	STD        Y+12, R16
	STD        Y+13, R17
L_fix_fft19:
;MyProject.c,73 :: 		} else {
	MOVW       R14, R24
; l end address is: 24 (R24)
	JMP        L_fix_fft20
L_fix_fft10:
;MyProject.c,78 :: 		shift = 1;
; l start address is: 18 (R18)
	LDI        R27, 1
	STD        Y+14, R27
	LDI        R27, 0
	STD        Y+15, R27
; l end address is: 18 (R18)
	MOVW       R14, R18
;MyProject.c,79 :: 		}
L_fix_fft20:
;MyProject.c,82 :: 		istep = l << 1;
; l start address is: 14 (R14)
	MOVW       R16, R14
	LSL        R16
	ROL        R17
	STD        Y+8, R16
	STD        Y+9, R17
;MyProject.c,83 :: 		for(m=0; m<l; ++m) {
	CLR        R6
	CLR        R7
; l end address is: 14 (R14)
L_fix_fft21:
; l start address is: 14 (R14)
	CP         R6, R14
	CPC        R7, R15
	BRLT       L__fix_fft52
	JMP        L_fix_fft22
L__fix_fft52:
;MyProject.c,84 :: 		j = m << k;
	LDD        R27, Y+6
	MOVW       R20, R6
	TST        R27
	BREQ       L__fix_fft54
L__fix_fft53:
	LSL        R20
	ROL        R21
	DEC        R27
	BRNE       L__fix_fft53
L__fix_fft54:
	STD        Y+4, R20
	STD        Y+5, R21
;MyProject.c,86 :: 		wr =  Sinewave[j+N_WAVE/4];
	MOVW       R16, R20
	SUBI       R16, 0
	SBCI       R17, 255
	LDI        R18, #lo_addr(_Sinewave+0)
	LDI        R19, hi_addr(_Sinewave+0)
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R18
	ADC        R31, R19
	LPM        R16, Z+
	LPM        R17, Z+
	STD        Y+22, R16
	STD        Y+23, R17
;MyProject.c,87 :: 		wi = -Sinewave[j];
	MOVW       R16, R20
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R18
	ADC        R31, R19
	LPM        R16, Z+
	LPM        R17, Z+
	MOVW       R0, R16
	LDI        R16, 0
	LDI        R17, 0
	SUB        R16, R0
	SBC        R17, R1
	STD        Y+24, R16
	STD        Y+25, R17
;MyProject.c,88 :: 		if(inverse)
	MOV        R27, R8
	OR         R27, R9
	BRNE       L__fix_fft55
	JMP        L_fix_fft24
L__fix_fft55:
;MyProject.c,89 :: 		wi = -wi;
	LDD        R0, Y+24
	LDD        R1, Y+25
	LDI        R16, 0
	LDI        R17, 0
	SUB        R16, R0
	SBC        R17, R1
	STD        Y+24, R16
	STD        Y+25, R17
L_fix_fft24:
;MyProject.c,90 :: 		if(shift) {
	LDD        R16, Y+14
	LDD        R17, Y+15
	MOV        R27, R16
	OR         R27, R17
	BRNE       L__fix_fft56
	JMP        L_fix_fft25
L__fix_fft56:
;MyProject.c,91 :: 		wr >>= 1;
	LDD        R16, Y+22
	LDD        R17, Y+23
	ASR        R17
	ROR        R16
	STD        Y+22, R16
	STD        Y+23, R17
;MyProject.c,92 :: 		wi >>= 1;
	LDD        R16, Y+24
	LDD        R17, Y+25
	ASR        R17
	ROR        R16
	STD        Y+24, R16
	STD        Y+25, R17
;MyProject.c,93 :: 		}
L_fix_fft25:
;MyProject.c,94 :: 		for(i=m; i<n; i+=istep) {
	STD        Y+2, R6
	STD        Y+3, R7
; l end address is: 14 (R14)
	MOVW       R12, R14
L_fix_fft26:
; l start address is: 12 (R12)
	LDD        R18, Y+2
	LDD        R19, Y+3
	LDD        R16, Y+10
	LDD        R17, Y+11
	CP         R18, R16
	CPC        R19, R17
	BRLT       L__fix_fft57
	JMP        L_fix_fft27
L__fix_fft57:
;MyProject.c,95 :: 		j = i + l;
	LDD        R16, Y+2
	LDD        R17, Y+3
	ADD        R16, R12
	ADC        R17, R13
	STD        Y+4, R16
	STD        Y+5, R17
;MyProject.c,96 :: 		tr = fix_mpy(wr,fr[j]) -
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z+
	LD         R17, Z+
	PUSH       R5
	PUSH       R4
	PUSH       R3
	PUSH       R2
	MOVW       R4, R16
	LDD        R2, Y+22
	LDD        R3, Y+23
	CALL       _fix_mpy+0
	POP        R2
	POP        R3
	POP        R4
	POP        R5
	STD        Y+32, R16
	STD        Y+33, R17
;MyProject.c,97 :: 		fix_mpy(wi,fi[j]);
	LDD        R16, Y+4
	LDD        R17, Y+5
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z+
	LD         R17, Z+
	PUSH       R5
	PUSH       R4
	PUSH       R3
	PUSH       R2
	MOVW       R4, R16
	LDD        R2, Y+24
	LDD        R3, Y+25
	CALL       _fix_mpy+0
	POP        R2
	POP        R3
	POP        R4
	POP        R5
	LDD        R18, Y+32
	LDD        R19, Y+33
	MOVW       R0, R16
	MOVW       R16, R18
	SUB        R16, R0
	SBC        R17, R1
	STD        Y+18, R16
	STD        Y+19, R17
;MyProject.c,98 :: 		ti = fix_mpy(wr,fi[j]) +
	LDD        R16, Y+4
	LDD        R17, Y+5
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z+
	LD         R17, Z+
	PUSH       R5
	PUSH       R4
	PUSH       R3
	PUSH       R2
	MOVW       R4, R16
	LDD        R2, Y+22
	LDD        R3, Y+23
	CALL       _fix_mpy+0
	POP        R2
	POP        R3
	STD        Y+32, R16
	STD        Y+33, R17
;MyProject.c,99 :: 		fix_mpy(wi,fr[j]);
	LDD        R16, Y+4
	LDD        R17, Y+5
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z+
	LD         R17, Z+
	PUSH       R3
	PUSH       R2
	MOVW       R4, R16
	LDD        R2, Y+24
	LDD        R3, Y+25
	CALL       _fix_mpy+0
	POP        R2
	POP        R3
	POP        R4
	POP        R5
	LDD        R18, Y+32
	LDD        R19, Y+33
	ADD        R16, R18
	ADC        R17, R19
	STD        Y+20, R16
	STD        Y+21, R17
;MyProject.c,100 :: 		qr = fr[i];
	LDD        R16, Y+2
	LDD        R17, Y+3
	MOVW       R18, R16
	LSL        R18
	ROL        R19
	MOVW       R30, R18
	ADD        R30, R2
	ADC        R31, R3
	LD         R16, Z+
	LD         R17, Z+
	STD        Y+16, R16
	STD        Y+17, R17
;MyProject.c,101 :: 		qi = fi[i];
	MOVW       R30, R18
	ADD        R30, R4
	ADC        R31, R5
	LD         R16, Z+
	LD         R17, Z+
; qi start address is: 18 (R18)
	MOVW       R18, R16
;MyProject.c,102 :: 		if(shift) {
	LDD        R16, Y+14
	LDD        R17, Y+15
	MOV        R27, R16
	OR         R27, R17
	BRNE       L__fix_fft58
	JMP        L__fix_fft36
L__fix_fft58:
;MyProject.c,103 :: 		qr >>= 1;
	LDD        R16, Y+16
	LDD        R17, Y+17
	ASR        R17
	ROR        R16
	STD        Y+16, R16
	STD        Y+17, R17
;MyProject.c,104 :: 		qi >>= 1;
	MOVW       R16, R18
	ASR        R17
	ROR        R16
; qi end address is: 18 (R18)
; qi start address is: 22 (R22)
	MOVW       R22, R16
; qi end address is: 22 (R22)
	MOVW       R20, R22
;MyProject.c,105 :: 		}
	JMP        L_fix_fft29
L__fix_fft36:
;MyProject.c,102 :: 		if(shift) {
	MOVW       R20, R18
;MyProject.c,105 :: 		}
L_fix_fft29:
;MyProject.c,106 :: 		fr[j] = qr - tr;
; qi start address is: 20 (R20)
	LDD        R16, Y+4
	LDD        R17, Y+5
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LDD        R0, Y+18
	LDD        R1, Y+19
	LDD        R16, Y+16
	LDD        R17, Y+17
	SUB        R16, R0
	SBC        R17, R1
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,107 :: 		fi[j] = qi - ti;
	LDD        R16, Y+4
	LDD        R17, Y+5
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LDD        R0, Y+20
	LDD        R1, Y+21
	MOVW       R16, R20
	SUB        R16, R0
	SBC        R17, R1
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,108 :: 		fr[i] = qr + tr;
	LDD        R16, Y+2
	LDD        R17, Y+3
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R2
	ADC        R31, R3
	LDD        R18, Y+16
	LDD        R19, Y+17
	LDD        R16, Y+18
	LDD        R17, Y+19
	ADD        R16, R18
	ADC        R17, R19
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,109 :: 		fi[i] = qi + ti;
	LDD        R16, Y+2
	LDD        R17, Y+3
	LSL        R16
	ROL        R17
	MOVW       R30, R16
	ADD        R30, R4
	ADC        R31, R5
	LDD        R16, Y+20
	LDD        R17, Y+21
	ADD        R16, R20
	ADC        R17, R21
; qi end address is: 20 (R20)
	ST         Z+, R16
	ST         Z+, R17
;MyProject.c,94 :: 		for(i=m; i<n; i+=istep) {
	LDD        R18, Y+2
	LDD        R19, Y+3
	LDD        R16, Y+8
	LDD        R17, Y+9
	ADD        R16, R18
	ADC        R17, R19
	STD        Y+2, R16
	STD        Y+3, R17
;MyProject.c,110 :: 		}
	JMP        L_fix_fft26
L_fix_fft27:
;MyProject.c,83 :: 		for(m=0; m<l; ++m) {
	MOVW       R16, R6
	SUBI       R16, 255
	SBCI       R17, 255
	MOVW       R6, R16
;MyProject.c,111 :: 		}
	MOVW       R14, R12
; l end address is: 12 (R12)
	JMP        L_fix_fft21
L_fix_fft22:
;MyProject.c,112 :: 		--k;
	LDD        R16, Y+6
	LDD        R17, Y+7
	SUBI       R16, 1
	SBCI       R17, 0
	STD        Y+6, R16
	STD        Y+7, R17
;MyProject.c,113 :: 		l = istep;
; l start address is: 16 (R16)
	LDD        R16, Y+8
	LDD        R17, Y+9
;MyProject.c,114 :: 		}
	MOVW       R18, R16
; l end address is: 16 (R16)
	JMP        L_fix_fft8
L_fix_fft9:
;MyProject.c,116 :: 		return scale;
	LDD        R16, Y+12
	LDD        R17, Y+13
;MyProject.c,117 :: 		}
L_end_fix_fft:
	ADIW       R28, 33
	OUT        SPL+0, R28
	OUT        SPL+1, R29
	POP        R29
	POP        R28
	RET
; end of _fix_fft

_fix_mpy:

;MyProject.c,122 :: 		fixed fix_mpy(fixed a, fixed b)
;MyProject.c,124 :: 		FIX_MPY(a,a,b);
	MOVW       R20, R2
	LDI        R22, 0
	SBRC       R3, 7
	LDI        R22, 255
	MOV        R23, R22
	MOVW       R16, R4
	LDI        R18, 0
	SBRC       R5, 7
	LDI        R18, 255
	MOV        R19, R18
	CALL       _HWMul_32x32+0
	LDI        R27, 15
L__fix_mpy60:
	ASR        R19
	ROR        R18
	ROR        R17
	ROR        R16
	DEC        R27
	BRNE       L__fix_mpy60
L__fix_mpy61:
	MOVW       R2, R16
;MyProject.c,125 :: 		return a;
;MyProject.c,126 :: 		}
L_end_fix_mpy:
	RET
; end of _fix_mpy

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;MyProject.c,265 :: 		void main(void)
;MyProject.c,273 :: 		PORTA=0x00;
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	PUSH       R6
	PUSH       R7
	PUSH       R8
	PUSH       R9
	LDI        R27, 0
	OUT        PORTA+0, R27
;MyProject.c,274 :: 		DDRA=0x01;
	LDI        R27, 1
	OUT        DDRA+0, R27
;MyProject.c,278 :: 		while (1)
L_main30:
;MyProject.c,281 :: 		PORTA=1;
	LDI        R27, 1
	OUT        PORTA+0, R27
;MyProject.c,282 :: 		fix_fft(mr,mi,10,0);
	CLR        R8
	CLR        R9
	LDI        R27, 10
	MOV        R6, R27
	LDI        R27, 0
	MOV        R7, R27
	LDI        R27, #lo_addr(_mi+0)
	MOV        R4, R27
	LDI        R27, hi_addr(_mi+0)
	MOV        R5, R27
	LDI        R27, #lo_addr(_mr+0)
	MOV        R2, R27
	LDI        R27, hi_addr(_mr+0)
	MOV        R3, R27
	CALL       _fix_fft+0
;MyProject.c,283 :: 		PORTA=0;
	LDI        R27, 0
	OUT        PORTA+0, R27
;MyProject.c,285 :: 		}
	JMP        L_main30
;MyProject.c,286 :: 		}
L_end_main:
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
